import static java.lang.System.out;

public class GoodNightsSleepA {

    public static void main(String args[]) {
        out.print("Немного вздремну. ");
        out.println("Всего пять секунд...");

        takeANap();

        out.println("Я снова бодр и полон сил!");
    }

    static void takeANap() {
        try {
            Thread.sleep(5000);
        } catch (InterruptedException e) {
            out.println("Эй! Кто разбудил меня?");
        }
    }
}
